Package com.sun.jna.platform.win32

# Class WinRas.RASEAPINFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinRas.RASEAPINFO

Enclosing interface:
  WinRas

@FieldOrder({"dwSizeofEapInfo","pbEapInfo"}) public static class WinRas.RASEAPINFO extends Structure
The RASEAPINFO structure contains user-specific Extensible Authentication Protocol (EAP) information. Use RASEAPINFO to pass this information to the RasDial function.

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`dwSizeofEapInfo`
Specifies the size of the binary information pointed to by the pbEapInfo member.
`Pointer`
`pbEapInfo`
Pointer to binary EAP information.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`RASEAPINFO()`
`RASEAPINFO(byte[] data)`
`RASEAPINFO(Pointer memory)`
`RASEAPINFO(String s)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getData()`
Get byte data.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### dwSizeofEapInfo

public int dwSizeofEapInfo
Specifies the size of the binary information pointed to by the pbEapInfo member.

### pbEapInfo

public Pointer pbEapInfo
Pointer to binary EAP information. RasDial uses this information for authentication.

## Constructor Details

### RASEAPINFO

public RASEAPINFO()

### RASEAPINFO

public RASEAPINFO(Pointer memory)

### RASEAPINFO

public RASEAPINFO(byte[] data)

### RASEAPINFO

public RASEAPINFO(String s)

## Method Details

### getData

public byte[] getData()
Get byte data.

Returns:
  Byte data or null.